<script lang="ts">
    import type { ResourcesInput } from "$lib/types/orkg.type";

    export let author: ResourcesInput;
</script>

<div class="relative z-0 w-full mb-6 group">
    <label
        for={author.name}
        class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
        >Author</label
    >
    <input
        type="text"
        id={author.name}
        list={`${author.name}List`}
        class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
        bind:value={author.value}
        on:change={() => (author.modified = true)}
    />
    <datalist id={`${author.name}List`}>
        {#each author.options as option}
            <option value={option}>
                {option}
            </option>
        {/each}
    </datalist>
</div>
